/*
	td1 : algorithmes 2D

	a faire :
		. interpolation bilineaire
		. clipping
		. triangle_strip

	mailto:jciehl@bat710.univ-lyon1.fr	
*/

#include <GL/glut.h>

#include "droite.h"
#include "triangle.h"

// affiche un pixel de la couleur actuellement definie
void draw_pixel(int x, int y)
{
    glBegin(GL_QUADS);
        glVertex2i(x,   y);
        glVertex2i(x +1, y);
        glVertex2i(x +1, y +1);
        glVertex2i(x,    y +1);
    glEnd();
}

void display(void)
{
/*  clear all pixels  */
    glClear(GL_COLOR_BUFFER_BIT);

	glColor3f(1.0, 1.0, 0.0);

#if 0
	main_droite();

#else
	main_triangle();
#endif

/*  don't wait!  
 *  start processing buffered OpenGL routines 
 */
    glFlush ();
}

void init (void) 
{
/*  select clearing (background) color       */
    glClearColor (0.0, 0.0, 0.0, 0.0);

/*  initialize viewing values  */
    glMatrixMode(GL_PROJECTION);
    glLoadIdentity();
    glOrtho(0.0, 40.0, 0.0, 40.0, -1.0, 1.0);
}

/* 
 *  Declare initial window size, position, and display mode
 *  (single buffer and RGBA).  Open window with "hello"
 *  in its title bar.  Call initialization routines.
 *  Register callback function to display graphics.
 *  Enter main loop and process events.
 */
int main(int argc, char** argv)
{
    glutInit(&argc, argv);
    glutInitDisplayMode (GLUT_SINGLE | GLUT_RGB);
    glutInitWindowSize (400, 400); 
    glutInitWindowPosition (100, 100);
    glutCreateWindow ("hello");
    init();
    glutDisplayFunc(display); 
    glutMainLoop();
    return 0; 
}

